UiPath Documentation
automation-suite
2.2510
true
Automation Suite API guide

Upload primary certificate

Upload or update the primary SAML certificate for an Automation Suite organization using the Identity API, including required scope, request body fields, and response schema.

Upload or update the primary SAML certificate.

API endpoint​

PUT https://{yourDomain}/{organizationName}/identity_/api/SamlCertificate/primary

Scopes​

Requires the following scope: PM.AuthSetting.

Request headers​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:

To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.

Request body​

The request body contains the organization ID and the primary certificate you want to either upload or update.

{
  "partitionGlobalId": "<organizationId>",
  "certificate": "string"
}
{
  "partitionGlobalId": "<organizationId>",
  "certificate": "string"
}

Responses​

200 Success​

The primary certificate is uploaded or updated.

{
  "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "primaryCertificateId": 0,
  "primaryCertificate": "string",
  "primaryCertificateThumbprint": "string",
  "secondaryCertificateId": 0,
  "secondaryCertificate": "string",
  "secondaryCertificateThumbprint": "string"
}
{
  "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "primaryCertificateId": 0,
  "primaryCertificate": "string",
  "primaryCertificateThumbprint": "string",
  "secondaryCertificateId": 0,
  "secondaryCertificate": "string",
  "secondaryCertificateThumbprint": "string"
}
  • API endpoint​
  • Scopes​
  • Request headers​
  • Request body​
  • Responses​
  • 200 Success​

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated